### Constructor

# Phosh LayerSurface new

#### Declaration [src]

    GtkWidget*
    phosh_layer_surface_new (
      gpointer layer_shell,
      gpointer wl_output
    )

#### Description

No description available.

#### Parameters

`layer_shell`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`wl_output`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.